Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
DELETE https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.datadoghq.eu/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.us3.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id} https://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}
개요 Soft-delete an Agent Observability prompt. The prompt’s version rows are retained, but they are no longer accessible through the public prompt registry endpoints.
This endpoint requires
all
of the following permissions:
llm_observability_readllm_observability_writefeature_flag_config_readfeature_flag_config_writefeature_flag_environment_config_read인수 경로 파라미터 The customer-provided identifier of the Agent Observability prompt.
응답 OK
Response confirming that an Agent Observability prompt was deleted.
Expand All
Data object confirming that an Agent Observability prompt was deleted.
Attributes confirming that an Agent Observability prompt was deleted.
Timestamp when the prompt was deleted.
Customer-provided identifier of the deleted prompt.
Unique identifier of the deleted prompt.
Resource type of an Agent Observability prompt.
Allowed enum values: prompt-templates
{
"data" : {
"attributes" : {
"deleted_at" : "2025-02-10T09:15:00Z" ,
"prompt_id" : "customer-support-assistant"
},
"id" : "4a1a28ff-8a25-5f0f-946f-f48264d772eb" ,
"type" : "prompt-templates"
}
} Unauthorized
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} 코드 예시 복사
# Path parameters export prompt_id = "customer-support-assistant" # Curl command curl -X DELETE "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/llm-obs/v1/prompts/${prompt_id} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Delete an Agent Observability prompt returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agent_observability_api import AgentObservabilityApi
configuration = Configuration ()
configuration . unstable_operations [ "delete_llm_obs_prompt" ] = True
with ApiClient ( configuration ) as api_client :
api_instance = AgentObservabilityApi ( api_client )
response = api_instance . delete_llm_obs_prompt (
prompt_id = "prompt_id" ,
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Delete an Agent Observability prompt returns "OK" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . unstable_operations [ "v2.delete_llm_obs_prompt" . to_sym ] = true
end
api_instance = DatadogAPIClient :: V2 :: AgentObservabilityAPI . new
p api_instance . delete_llm_obs_prompt ( "prompt_id" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Delete an Agent Observability prompt returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
configuration . SetUnstableOperationEnabled ( "v2.DeleteLLMObsPrompt" , true )
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentObservabilityApi ( apiClient )
resp , r , err := api . DeleteLLMObsPrompt ( ctx , "prompt_id" )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentObservabilityApi.DeleteLLMObsPrompt`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `AgentObservabilityApi.DeleteLLMObsPrompt`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Delete an Agent Observability prompt returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentObservabilityApi ;
import com.datadog.api.client.v2.model.LLMObsDeletedPromptResponse ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setUnstableOperationEnabled ( "v2.deleteLLMObsPrompt" , true );
AgentObservabilityApi apiInstance = new AgentObservabilityApi ( defaultClient );
try {
LLMObsDeletedPromptResponse result =
apiInstance . deleteLLMObsPrompt ( "customer-support-assistant" );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AgentObservabilityApi#deleteLLMObsPrompt" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Delete an Agent Observability prompt returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agent_observability ::AgentObservabilityAPI ;
#[tokio::main]
async fn main () {
let mut configuration = datadog ::Configuration ::new ();
configuration . set_unstable_operation_enabled ( "v2.DeleteLLMObsPrompt" , true );
let api = AgentObservabilityAPI ::with_config ( configuration );
let resp = api . delete_llm_obs_prompt ( "prompt_id" . to_string ()). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Delete an Agent Observability prompt returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
configuration . unstableOperations [ "v2.deleteLLMObsPrompt" ] = true ;
const apiInstance = new v2 . AgentObservabilityApi ( configuration );
const params : v2.AgentObservabilityApiDeleteLLMObsPromptRequest = {
promptId : "prompt_id" ,
};
apiInstance
. deleteLLMObsPrompt ( params )
. then (( data : v2.LLMObsDeletedPromptResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"